rte_sched_subport_stats(3)

NAME
rte_sched_subport_stats

SYNOPSIS

#include <rte_sched.h>

  Data Fields

uint64_t n_pkts_tc [RTE_SCHED_TRAFFIC_CLASSES_PER_PIPE]
uint64_t n_pkts_tc_dropped [RTE_SCHED_TRAFFIC_CLASSES_PER_PIPE]
uint64_t n_bytes_tc [RTE_SCHED_TRAFFIC_CLASSES_PER_PIPE]
uint64_t n_bytes_tc_dropped [RTE_SCHED_TRAFFIC_CLASSES_PER_PIPE]
uint64_t n_pkts_cman_dropped [RTE_SCHED_TRAFFIC_CLASSES_PER_PIPE]

Detailed Description

Subport statistics

Definition at line 234 of file rte_sched.h.

Field Documentation

  uint64_t n_pkts_tc[RTE_SCHED_TRAFFIC_CLASSES_PER_PIPE]
Number of packets successfully written

Definition at line 236 of file rte_sched.h.

  uint64_t n_pkts_tc_dropped[RTE_SCHED_TRAFFIC_CLASSES_PER_PIPE]
Number of packets dropped

Definition at line 239 of file rte_sched.h.

  uint64_t n_bytes_tc[RTE_SCHED_TRAFFIC_CLASSES_PER_PIPE]
Number of bytes successfully written for each traffic class

Definition at line 242 of file rte_sched.h.

  uint64_t n_bytes_tc_dropped[RTE_SCHED_TRAFFIC_CLASSES_PER_PIPE]
Number of bytes dropped for each traffic class

Definition at line 245 of file rte_sched.h.

  uint64_t n_pkts_cman_dropped[RTE_SCHED_TRAFFIC_CLASSES_PER_PIPE]
Number of packets dropped by congestion management scheme

Definition at line 248 of file rte_sched.h.

Author

Generated automatically by Doxygen for DPDK from the source code.